export = commonServices;
/**
 * @typedef {import('../../types').Provider} Provider
 */
/**
 * The providers collection for the common services.
 *
 * @type {Provider}
 * @property {Provider} appError   The provider for {@link AppError}.
 * @property {Provider} httpError  The provider for {@link HTTPError}.
 * @property {Provider} sendFile   The provider for {@link SendFile}.
 * @parent module:services
 */
declare const commonServices: Provider;
declare namespace commonServices {
    export { Provider };
}
type Provider = {
    register: import("wootils/esm/shared/jimpleFns").ProviderRegisterFn;
};
