export = httpServices;
/**
 * @typedef {import('../../types').Provider} Provider
 */
/**
 * The providers collection for the HTTP services.
 *
 * @type {Provider}
 * @property {Provider} apiClient         The provider for {@link APIClient}.
 * @property {Provider} http              The provider for {@link HTTP}.
 * @property {Provider} responsesBuilder  The provider for {@link ResponsesBuilder}.
 * @parent module:services
 */
declare const httpServices: Provider;
declare namespace httpServices {
    export { Provider };
}
type Provider = {
    register: import("wootils/esm/shared/jimpleFns").ProviderRegisterFn;
};
